# 37. クエリ: 定義された期間の「SatelliteImages」を取得

定義された期間内で「SatelliteImages」を取得する（`before` と `after` 日付）。

フィルター `before` と `after` に属する [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

フィルターのうち1つだけを使用することが可能です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    名前
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      名前
      作成日
      area(unit: HECTARES)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/37-kueri-saretanosatelliteimageswo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
